.container-historial_compras {
  display: flex;
  flex-direction: column;
  gap: 20px;
  height: 100%;
  max-height: auto;
}

.container-historial_compras .descargar-historial {
  display: grid;
  grid-template-areas:
    "label vacio"
    "p button";
  gap: 5px;
  align-items: flex-end;
}

.container-historial_compras .descargar-historial label {
  grid-area: label;
}

.container-historial_compras .descargar-historial p {
  grid-area: p;
}

.container-historial_compras .descargar-historial button {
  grid-area: button;
}

.container-historial_compras .p-element .p-panel .p-panel-header {
  background: none;
  border: 2px solid var(--primary);
}

.container-historial_compras .p-element .p-panel .panel-header {
  display: grid;
  grid-template-columns: 10% 85%;
  justify-content: space-between;
  width: 100%;
}

.container-historial_compras .p-element .p-panel .panel-header figure {
  height: 100%;
  width: 100%;
}

.container-historial_compras .p-element .p-panel .panel-header .descripcion h5 {
  font-size: 18px;
}

.container-historial_compras .p-element .p-panel .p-toggleable-content .p-panel-content {
  border: 2px solid var(--primary);
}

.container-historial_compras .detalle-producto {
  display: grid;
  grid-template-columns: 30% 65%;
  justify-content: space-between;
}

.container-historial_compras .detalle-producto figure {
  height: 200px;
  width: 200px;
}

.container-historial_compras .detalle-producto .detalle {
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  height: 100%;
}

.container-historial_compras .detalle-producto .detalle h4 {
  font-size: 18px;
  color: var(--primary-1);
}

.container-historial_compras .detalle-producto .detalle span:first-of-type {
  font-size: 22px;
  font-weight: bold;
  color: var(--ligth);
}

.container-historial_compras .detalle-producto .detalle span:last-of-type {
  font-size: 18px;
  font-weight: bold;
  text-align: end;
  color: var(--primary);
}
